#### FKM5

#### Synopsis

    HELP:   List information, help and documentation of FKM5
    TYPE:   OBJECT
    SYNTAX: FKM5(LIBRARY='str',FUNCTION='str',HELP,DOCU)

#### Description

Through the object FKM5 you can define the library and function of an FKM5 module to get information, help and documentation of the corresponding FLAM Key Management Extension v5. By default, the 'libfkm5' of FLAM is used. If no function name is specified, all known entries of this library are used. This works only for 'libfkm5' as we do not know the function names for other libraries.

The function codes for help and documentation might not be implemented by other FKM5s, i.e. these switches are mainly useful with the 'libfkm5' from limes datentechnik.

To get FKM5 info for load modules on mainframes, which must be fetched from STEPLIB, you must type a * for the library name.

#### Examples

     info get.fkm5                            # list all info messages
     info get.fkm5(lib=*)                     # list info of FKM5STD0 load module
     info get.fkm5(lib=* func=PGPCCA)         # list info of PGPP11 load module
     info get.fkm5(func=SYMNP11 help)         # list help for function SYMNP11 of libfkm5
     info get.fkm5(docu)                      # list docu all functions in libfkm5

#### Arguments

- `STRING: LIBRARY='str' - Library name [libfkme]`
- `STRING: FUNCTION='str' - Function name (entry)`
- `SWITCH: HELP - Get help message`
- `SWITCH: DOCU - Get documentation`